# Retrieve a case

> Retrieves a single case belonging to the authenticated organization.

Source: [https://genhealth.ai/docs/api-reference/v1/cases/get-case](https://genhealth.ai/docs/api-reference/v1/cases/get-case)

## Endpoint

`GET /v1/cases/{case_id}`

## Authentication

Send a GenHealth credential in the `Authorization` header:

```http
Authorization: Bearer <YOUR_API_KEY>
Accept: application/json
```

Required scopes: `read:umpa`

## Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `case_id` | path | string | Yes | The case identifier. |

## Request examples

### cURL

```curl
curl --request GET \
  --url 'https://api.umpa.genhealth.ai/v1/cases/{case_id}' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Accept: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.umpa.genhealth.ai/v1/cases/{case_id}', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer <YOUR_API_KEY>',
    Accept: 'application/json',
  },
});

const data = await response.json();
```

### Python

```python
import requests

response = requests.get(
    'https://api.umpa.genhealth.ai/v1/cases/{case_id}',
    headers={
        'Authorization': 'Bearer <YOUR_API_KEY>',
        'Accept': 'application/json',
    },
)

data = response.json()
```

## Responses

| Status | Description |
| --- | --- |
| 200 | Case details. |
| 401 | The bearer token is missing, invalid, or lacks the required scope. |
| 404 | The requested resource could not be found. |

### 200 response example

```json
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "open",
  "recommendation": "approve",
  "policy_id": "f844ba52-0b67-4874-a06a-900f98b10dd7",
  "created_at": "2026-08-05T14:30:00Z",
  "last_modified": "2026-08-05T14:45:00Z"
}
```

### 401 response example

```json
{
  "detail": "The request could not be completed."
}
```

### 404 response example

```json
{
  "detail": "The request could not be completed."
}
```
